Bug 217806 - Review Request: tk-tktreectrl - flexible listbox widget for Tk
Review Request: tk-tktreectrl - flexible listbox widget for Tk
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-29 18:08 EST by Wart
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 20:43:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-11-29 18:08:00 EST
Spec URL: http://www.kobold.org/~wart/fedora/tktreectrl.spec
SRPM URL: http://www.kobold.org/~wart/fedora/tktreectrl-2.2-1.src.rpm
Description:
Flexible listbox widget for Tk
Comment 2 Jason Tibbitts 2007-06-21 12:33:55 EDT
This has been sitting for ages.  I'll take a look.

I note that 2.2.3 is out.

The resulting package doesn't end up with any kind of dependency on tcl or tk. 
I'm not really sure if it should.

There is some sort of test suite present.  I have no idea whether it could be
run automatically.  I know essentially nothing about tcl so I don't even know
how to do manual testing.

Review:
* source files match upstream:
   5acb3ce3fd098383a10cb5f03531e625ddf342944d2a91560c9bbeb68b560c9a  
   tktreectrl-2.2.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
X latest version is not being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
? final provides and requires missing dependency on tk?
   libtreectrl2.2.so()(64bit)
   tktreectrl = 2.2.1-1.fc8
  =
   libX11.so.6()(64bit)
? %check is not present.  There's some sort of test suite present; I have no 
  idea whether it could be run in mock.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 3 Wart 2007-06-21 17:23:13 EDT
The test suite requires a running X server.  I could probably hack something
together to run Xvfb or Xnest or something similar in %check, but I'm not sure
that it's worth the effort.

Updated to latest version and added missing Requires: on tcl/tk:

http://www.kobold.org/~wart/fedora/tk-tktreectrl.spec
http://www.kobold.org/~wart/fedora/tk-tktreectrl-2.2.3-1.fc7.src.rpm


Comment 4 Jason Tibbitts 2007-06-22 00:47:48 EDT
I really doubt there's any point in hacking out a test version.  I trust that
you can test this yourself when you need to.

Everything looks good to me now, but there's one important problem: it fails to
build for me.  The spec in the srpm has a %check section but the one linked
above doesn't.  (That sure confused me for a while.)

Anyway, I think the package is fine, but you'll need to comment out the "make
test" bit in order to get this through the buildsys.

APPROVED
Comment 5 Wart 2007-06-27 11:29:57 EDT
Sorry about the 'make test' snafu.  I had removed it from my testing spec file,
but forgot to upload the updated spec after removing it.

I'll make sure it's gone before building.
Comment 6 Wart 2007-06-27 11:30:39 EDT
New Package CVS Request
=======================
Package Name: tk-tktreectrl
Short Description: Flexible listbox widget for Tk
Owners: wart@kobold.org
Branches: FC-6 F-7
Comment 7 Kevin Fenzi 2007-06-27 16:01:09 EDT
cvs done.
Comment 8 Wart 2007-07-02 20:43:09 EDT
Installed and built on rawhide.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.